Doomsday Engine - Feature #1265

Map-specific definitions in a WAD lump
2003-08-12 13:24 - skyjake

Status: New Start date: 2003-08-12
Priority: Low % Done: 0%
Assignee:

Category: Enhancement

Target version: Modding

Description

Allow certain effects to be added on a per map basis, by using the already existing ded format for particle generators/decor lights etc
as a raw Lump in the wad.

If this lump is found then obviously the Wad Interpretation Conditions should not be used.

Related issues:
Related to Feature #1264: Conditional decorations New 2003-08-12

History

#1 - 2013-10-21 07:30 - skyjake
- Tags set to Definitions, MapData
- Subject changed from Map Effect Definitions to Map-specific definitions in a WAD lump

- Category set to Enhancement

#2 - 2013-10-21 07:34 - skyjake

- Description updated

If this lump is found then obviously the Wad Interpretation Conditions should not be used.

I'm not sure why, though? The map-specific lump would override whatever "global" definitions exist.

However, this feature should be reconsidered in the wider context of scoped definitions and how such definitions are resolved in practice for a
particular map.

#3 - 2013-10-21 12:34 - danij

Given a scoping mechanism is in place, | don't see any need for a map-specific definition set. All such a feature would do is complicate definition
parsing with no real benefit.

#4 - 2013-10-21 12:42 - skyjake

- Priority changed from Normal to Low

This might have some value as a compatibility feature, assuming the lump was being used for some Doomsday-specific niceties in an otherwise
vanilla compatible map. In practice all the contained defs could be parsed as though they had a map scope in place.

Lowering priority, though.

#5 - 2019-11-29 15:21 - skyjake

- Target version set to Modding
